Description

I would like to move wiki pages between projects.

Just like it is possible for issues.

Would be cool to see this implemented in an upcoming release.

Related issues:

Related to Redmine - Feature #5457: Move files and documets to another project New 2010-05-06

Related to Redmine - Defect #20356: Wiki gets destroyed after rename New

Has duplicate Redmine - Feature #7276: Easily move Wiki site between projects Closed 2011-01-11

Is duplicate of Redmine - Feature #1026: Add ability to move complete wiki fr... Closed 2008-04-09

Associated revisions

Revision 13643 - 2014-11-23 14:36 - Jean-Philippe Lang

Move wiki page to other project (#5450).

History

#1 - 2010-06-17 07:54 - Frederik Dannemare

Peter Schuster wrote:

I would like to move wiki pages between projects.

Just like it is possible for issues.

Would be cool to see this implemented in an upcoming release.

 I second that. Would be very useful IMO.

#2 - 2010-06-17 11:56 - Mike Stupalov

+1

#3 - 2010-07-26 15:32 - Terence Mill

+1

#4 - 2010-08-25 12:43 - Željko Trogrlić

+1

#5 - 2010-08-27 19:34 - Terence Mill

Is there a workaround at the moment?

#6 - 2010-08-27 22:00 - Željko Trogrlić

Terence Mill wrote:

Is there a workaround at the moment?

 I had to split project in two, so I copied whole project and deleted unnecessary pages from both projects.
#7 - 2010-08-28 01:10 - Terence Mill

Željko Trogrlić wrote:

Terence Mill wrote:

Is there a workaround at the moment?

 I had to split project in two, so I copied whole project and deleted unnecessary pages from both projects.

 Hmm..i wanna move sites to existing project, so this aproach won't work.

#8 - 2010-09-09 14:54 - Artem Laskov

+1

#9 - 2011-01-20 17:36 - Fardeen GHULAM

+ 1

#10 - 2011-01-20 18:18 - Terence Mill

This is a dupe of Issue #7276

#11 - 2011-01-31 09:10 - Ludovic Gasc

+1

#12 - 2011-02-05 14:46 - Thomas Harris

+1

#13 - 2011-02-15 15:56 - Kristian Lein-Mathisen

Apparently, you can move wiki pages if you have database access:

http://www.redmine.org/boards/2/topics/3003

Better back-up first though :)

#14 - 2011-02-27 10:41 - Thomas Zlika

+1

#15 - 2011-03-24 16:52 - Terence Mill

+1

#16 - 2011-05-05 20:20 - David Parker

+1

#17 - 2011-05-17 07:47 - Maxim Nikolaevich

I want to describe how it will be useful.

Links should not contain project-id ex:

http://redmine.org/wiki/MyWikiPage

http://redmine.org/wiki/MyWikiPage2

so anyone who link to wiki page like

[[wikiPage]]

will link to page of any project (now it links to current project only)

at second need the button in the right up corner of wiki page (near buttons Edit Watch History) with name "move"

about permisson setting to show this button i can't suggest but probably enough permission for it is "Rename wiki pages" or "Manage wiki" (i dislike

idea to do new permission checkmark for this action but probably you think so)

Thank you for your time.

#18 - 2011-05-17 14:56 - Terence Mill

The approach of global name space for wiki pages, as done for issue is nice, but in the wiki context the unqiue ids are the wiki page name and this is

quite good for restful urls also but not if you can't give same name twice for different wiki pages in different projects.

This same collission "problem" will occur very soon and often, let me show:
Ones Projkect always will have a page called

help

knowhow

installation

faq

about

...

just some examples.

How will you carry for unqiue names and make clear to the second one giving the same name, thats he isn't allowed because there's someone

already taken in a another project your never care about and never heard of.

You could completly change the unqiue id same as for issues with numbers, but i don't like that because names adresses far better and leave it easy

as it.

Another approach ind the mid way- make the sites available on two adresses. On the project via well know wiki name as it, and a new url which is

global and adresses the wiki page via and id, that is given automatically and should be shown in a upper corner for everybody to use and link it. This

number maybe already exists in a technical way in db, and we only would need the second adressing shema, the view change to show the number.

That will keep the well know adressing and make available another one,m that will persist even when wiki page project changes, done by a move

page. Of course the projects adress will no longer work if you have moved the site, but you don't have to use it so far.

Two adressing shema for wiki pages example

1. redmine original adressing: http://redmine.org/MyProject/wiki/MyWikiPage

2. new additionly approach : http://redmine.org/MyProject/wiki/&lt;MyWikiPageInternal_ID>  e.g  http://redmine.org/Myroject/wiki/7736

3. It would also work if you adress the site this way http://redmine.org/wiki/7736, which means you even don't have to know where the wiki site is

managed at the moment, as long as you know the id. This behaviour is already well known from issues.

1. will be lost when move > dead end > 404

2. could be automtatically forwarded ( in case of move and renaming) by simply lookup in database for <MyWikiPageInternal_ID> and redirect to

browser

3. will work (beyond moves and renaming) as long wiki site is not deleted

#19 - 2011-05-17 15:03 - Terence Mill

Of course as wiki syntax, wiki sites in same projects should be linkable as it.

[[MyWIkiPageInSameProject]]

[[MyWIkiPageInSameProject|my wiki page in same project]]

 as ist dhould be possible to links wiki pages in other projects via name and id

[[projectname MyWIkiPageInOtherProject]]

[[projectname MyWIkiPageInOtherProject|my wiki page in other project]]

[[7736]]

#20 - 2011-06-28 14:49 - André Bachmann

+1

To fiddle around with the database is a workaround, but not a nice one...

#21 - 2011-08-16 20:14 - Tiago Franco

+1

#22 - 2011-10-18 09:39 - Martin G

+1

#23 - 2012-02-15 22:31 - Paul paul

+1

#24 - 2012-02-27 14:46 - Tomasz Sawicki

+1

Additional option for copying with child pages would be also nice...

#25 - 2012-04-10 17:18 - Thien Vuong

+ 1

#26 - 2012-04-10 20:33 - Cassiano Monteiro
+1!

It´s very common to start some wikipage that turns into a new project.

#27 - 2012-04-13 01:14 - Waleed Anbar

+1

#28 - 2012-04-20 16:24 - Johann Gail

In reply to Terence Mill #19:

At least a cross project link is already possible with the syntax [[project:title]]

#29 - 2012-04-20 16:44 - Terence Mill

I think you missed my comment #18:

THis was targeted towards how wiki linking could also work for my new adressinh shema to make is easily possible to move wiki pages around like

don for issues.

I know that you can cross ref wiki sites already, but that has nothing todo with moving. Moving can imply complete new hierarchy and rights for the

site.

Johann Gail wrote:

In reply to Terence Mill #19:

At least a cross project link is already possible with the syntax [[project:title]]

#30 - 2012-05-23 18:07 - Doruk Fişek

I second this feature too.

#31 - 2012-07-13 19:20 - Alcides Silveira Costa

+1

#32 - 2012-07-13 21:01 - Paul paul

Is there a plugin to do that? AFAIK it's just an SQL query to update the project_id?

#33 - 2012-08-02 17:51 - Caille Rotie

+1

You must also redirect existing links with the name of new project

[[title]] or [[project:title]] becomes [[new_project:title]]

#34 - 2013-02-14 13:13 - Kirill Kornyakov

+1

#35 - 2013-02-14 13:33 - Terence Mill

Paul paul wrote:

Is there a plugin to do that? AFAIK it's just an SQL query to update the project_id?

 No, its not because wiki sites have absolute project specific url, so it would need an new model.

See my comments #5450#note-18

#36 - 2013-04-09 09:41 - Markus Pins

+1

#37 - 2013-04-09 12:52 - Terence Mill

i enhanced my original solution (see #5450#note-18 ). Form my view this solution is very good, as it solves the problem and stays compatible with

current shema as copies big parts of the approach how its already done for issues.

Would be really great to see this feature in next version, as there is really a big commandment in community and a clear approach to do so - see the

many votes here.

+1

#38 - 2013-04-16 00:49 - Gergely Nagy
+1

(BTW, any idea on how votes are taken into account? maybe it would be nice to have a searchable Votes custom field?)

#39 - 2013-05-24 18:13 - K. Scott Tripp

+1

As for registering votes, take a look at feature #1011

#40 - 2013-07-11 07:16 - Thomas Robbs

+1 for this.

Would be useful if it were just added to the "rename" function - i.e. allow you to change the project association on that form.

Rename is useful to attach this to because it also allows you to setup forwarding.

also, +1 the +1 feature @ #1011

#41 - 2013-08-12 10:55 - D K

+1

#42 - 2013-09-04 15:37 - Andreas Eberharter

+1

#43 - 2013-09-27 19:41 - Hisham Said

+1

#44 - 2013-12-11 14:07 - Pawel Orzechowski

+1

#45 - 2013-12-13 14:43 - Martin Dumont

+1

#46 - 2013-12-17 08:39 - Daniel Felix

Well, I've had the same issue. I just manipulated the corresponding database tables and moved the wiki pages to another Project. Just a small

update. :-)

#47 - 2013-12-28 14:42 - Tiago Franco

+1

#48 - 2014-02-21 13:24 - Neimar  Volpini

+1

#49 - 2014-05-30 06:30 - Maoke Jackson

+1

#50 - 2014-06-05 13:11 - Pierrick Perret

+2 !

#51 - 2014-06-19 17:36 - Rick Hunnicutt

+1 (does +1 even help???)

#52 - 2014-06-30 09:12 - Kevin Palm

+1

#53 - 2014-08-08 10:56 - Salvo Rapisarda

+1

#54 - 2014-08-12 23:22 - Andrew vonderLuft
+1

#55 - 2014-09-02 09:05 - Stefan Mischke

+1

#56 - 2014-10-13 13:20 - asd asd

+1

#57 - 2014-10-28 12:42 - Dietmar H

+1

#58 - 2014-10-30 15:53 - Josef Reichardt

+1

#59 - 2014-10-30 22:13 - sebastien lemaitre

+1

#60 - 2014-11-04 17:27 - Deoren Moor

+1

So far we've been doing the following:

1. Creating a new parent page outside of the "root", i.e., "Content that has been moved"

2. Creating a new page in another project

3. Cut/paste content from the old page

4. Save the new page

5. Root the old page to "Content that has been moved"

6. Add a link from the old page to the new one to catch any links to that old page

Now if you visit the old wiki index page (and say you were using the {{child_pages}} macro there) the old page will no longer show in the list. It's

crude/simple, but it worked when we recently consolidated our documentation from separate projects into one central documentation project.

#61 - 2014-11-04 22:48 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

#62 - 2014-11-23 14:37 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Feature added in r13643.

You can now move a wiki page to another project from the "Rename" form. When moving a page with child pages, child pages are moved too.

#63 - 2014-11-24 19:33 - Deoren Moor

Jean-Philippe Lang wrote:

Feature added in r13643.

You can now move a wiki page to another project from the "Rename" form. When moving a page with child pages, child pages are moved too.

 How will references to the old location work? Will a redirect be added which sends the user to the new project/page location? We're really looking

forward to this feature!

#64 - 2014-11-25 07:54 - Jean-Philippe Lang

Yes, this is exactly what happens when you move a page.

#65 - 2014-12-09 18:54 - Andrew vonderLuft

any chance this could be merged into 2.6-stable branch?  Thanks.

#66 - 2015-08-15 10:33 - Toshi MARUYAMA
- Related to Defect #20356: Wiki gets destroyed after rename added
